ATA_SG_SETUP_ONE(9)

NAME
ata_sg_setup_one - DMA-map the memory buffer associated with a command.

SYNOPSIS

int ata_sg_setup_one (struct ata_queued_cmd * qc);

ARGUMENTS

qc  Command with memory buffer to be mapped.

DESCRIPTION

DMA-map the memory buffer associated with queued_cmd qc.

LOCKING

spin_lock_irqsave(host_set lock)

RETURNS

Zero on success, negative on error.

AUTHOR
Jeff Garzik.